> ## Documentation Index
> Fetch the complete documentation index at: https://docs.featherhq.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Start chat test session

> Initialize a new chat test session for an agent without making a phone call



## OpenAPI

````yaml post /api/v1/agent-test/sessions/start
openapi: 3.0.0
info:
  version: 1.0.0
  title: Feather AI API
servers:
  - url: https://prod.featherhq.com
    description: Production environment
security: []
paths:
  /api/v1/agent-test/sessions/start:
    post:
      tags:
        - Agent Test
      summary: Start chat test session
      description: >-
        Initialize a new chat test session for an agent without making a phone
        call
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/StartTestSessionRequest'
      responses:
        '201':
          description: Test session created successfully
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/StartTestSessionResponse'
        '400':
          description: Bad Request - Invalid input or agent not found
          content:
            application/json:
              schema:
                type: object
                properties:
                  status:
                    type: integer
                    default: 400
                  message:
                    type: string
                    default: Bad request
                  code:
                    type: string
                    enum:
                      - BAD_REQUEST
                    default: BAD_REQUEST
                  success:
                    type: boolean
                    enum:
                      - false
                    default: false
        '403':
          description: Forbidden - Access denied to agent
          content:
            application/json:
              schema:
                type: object
                properties:
                  status:
                    type: integer
                    default: 401
                  message:
                    type: string
                    default: Unauthorized
                  code:
                    type: string
                    enum:
                      - UNAUTHORIZED
                    default: UNAUTHORIZED
                  success:
                    type: boolean
                    enum:
                      - false
                    default: false
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                type: object
                properties:
                  status:
                    type: integer
                    default: 500
                  message:
                    type: string
                    default: Internal server error
                  code:
                    type: string
                    enum:
                      - INTERNAL_SERVER_ERROR
                    default: INTERNAL_SERVER_ERROR
                  success:
                    type: boolean
                    enum:
                      - false
                    default: false
      security:
        - ApiKey: []
components:
  schemas:
    StartTestSessionRequest:
      type: object
      properties:
        agentId:
          type: string
          format: uuid
        agentVersionId:
          type: string
          format: uuid
        metadata:
          type: object
          additionalProperties:
            type: string
        variables:
          type: object
          additionalProperties:
            type: string
      required:
        - agentId
        - agentVersionId
    StartTestSessionResponse:
      type: object
      properties:
        callId:
          type: string
        roomName:
          type: string
        livekitUrl:
          type: string
        accessToken:
          type: string
        agentVersion:
          type: object
          properties:
            id:
              type: string
            version:
              type: number
            name:
              type: string
          required:
            - id
            - version
            - name
      required:
        - callId
        - roomName
        - livekitUrl
        - accessToken
        - agentVersion
  securitySchemes:
    ApiKey:
      type: apiKey
      in: header
      name: X-API-Key

````